import { observable, autorun } from 'mobx';

const state = observable({ count: 0 });
// 監視を停止するための関数を返す
const dispose = autorun(() => {
  console.log('state.count:', state.count);
});
state.count += 1; // state.count: 1
dispose(); // autorunの監視を停止
state.count += 1; // 何も出力されない