// todo-observable.js
import { observable, autorun } from 'mobx';

// 状態の定義
const todoStore = observable({
  todo: [],

  // 算出値の定義
  get countTasks() {
    return this.todo.length;
  }
});

// リアクションの定義
autorun(() => {
  console.log('タスクの数', todoStore.countTasks);
});

// 状態の更新
console.log('// 1回目の追加');
todoStore.todo.push('洗濯する');
console.log('// 2回目の追加');
todoStore.todo.push('掃除する');
