// webpack.config.js
module.exports = {
  // 起点となるファイルの指定
  entry: {
    counter: './counter.js',
    'counter-with-stateless': './counter-with-stateless.js',
    'provider-and-inject': './provider-and-inject.js'
  },
  // 出力ファイル名
  output: { filename: '[name].bundle.js' },
  // Babelを利用する設定
  module: {
    rules: [{
      test: /\.js$/,
      loader: 'babel-loader'
    }]
  }
};